Export the organisation audit log
import requests
url = "https://platform.ankra.app/org/organisation/audit-logs/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/organisation/audit-logs/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/organisation/audit-logs/export \
--header 'Authorization: Bearer <token>'{
"entries": [
{
"action_type": "<string>",
"actor_type": "agent",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"details": {},
"ip_address": "<string>",
"outcome": "succeeded",
"resource_id": "<string>",
"resource_type": "<string>",
"target_kind": "<string>",
"target_name": "<string>",
"user_email": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"truncated": true
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Organisation API
Export the organisation audit log
GET
/
org
/
organisation
/
audit-logs
/
export
Export the organisation audit log
import requests
url = "https://platform.ankra.app/org/organisation/audit-logs/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/organisation/audit-logs/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/organisation/audit-logs/export \
--header 'Authorization: Bearer <token>'{
"entries": [
{
"action_type": "<string>",
"actor_type": "agent",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"details": {},
"ip_address": "<string>",
"outcome": "succeeded",
"resource_id": "<string>",
"resource_type": "<string>",
"target_kind": "<string>",
"target_name": "<string>",
"user_email": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"truncated": true
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Download format; csv answers text/csv, json answers the OrgAuditLogExportResponse document.
Available options:
csv, json Available options:
agent, human, system Available options:
succeeded, failed